Subject: bug#13665: Question about the translation of double_to_human

From: Assaf Gordon <[email-masked]>
Date: Mon, 11 Feb 2013 10:10:38 -0500

Pádraig Brady wrote, On 02/09/2013 02:26 PM:
> On 02/09/2013 06:42 PM, Göran Uddeborg wrote:
>> I started the translation of coreutils 8.20-pre2 which just arrived
>> via the Translation Project.  I got a bit uncertain about messages
>> like:
>>
>>      msgid ""
>>      "simple_strtod_human:\n"
>>      "  input string: '%s'\n"
>>      "  locale decimal-point: '%s'\n"
>>
>> and
>>
>>      msgid "double_to_human:\n"
>>
>> Is "simple_strtod_human" a name, or is it a string to be translated?
> 
> These are function names and not to be translated.
> These are "developer debug" strings, which I'm tempted to remove entirely.
> What do you think Assaf?
> 

Agreed, if 'numfmt' is behavior is correct, we can remove all the "dev_debug" related message.